Bug 74125 - [Chromium] Remove WebSettings::setAcceleratedDrawingEnabled from public API.
Summary: [Chromium] Remove WebSettings::setAcceleratedDrawingEnabled from public API.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: David Reveman
URL:
Keywords:
Depends on: 74017
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-08 13:52 PST by David Reveman
Modified: 2012-01-05 06:02 PST (History)
5 users (show)

See Also:


Attachments
Patch (1.99 KB, patch)
2011-12-08 14:09 PST, David Reveman
no flags Details | Formatted Diff | Diff
Patch (2.97 KB, patch)
2011-12-09 08:16 PST, David Reveman
no flags Details | Formatted Diff | Diff
Patch (2.98 KB, patch)
2011-12-28 03:18 PST, David Reveman
no flags Details | Formatted Diff | Diff
Patch (3.05 KB, patch)
2012-01-04 14:20 PST, David Reveman
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Reveman 2011-12-08 13:52:58 PST
WebSettings::setAcceleratedDrawingEnabled should be removed once chromium is not depending on it anymore.
Comment 1 David Reveman 2011-12-08 14:09:25 PST
Created attachment 118466 [details]
Patch
Comment 2 David Reveman 2011-12-09 08:16:48 PST
Created attachment 118581 [details]
Patch
Comment 3 WebKit Review Bot 2011-12-09 08:18:55 PST
Please wait for approval from fishd@chromium.org before submitting because this patch contains changes to the Chromium public API.
Comment 4 WebKit Review Bot 2011-12-09 17:19:15 PST
Comment on attachment 118581 [details]
Patch

Attachment 118581 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/10834384
Comment 5 Eric Seidel (no email) 2011-12-21 15:04:09 PST
Comment on attachment 118581 [details]
Patch

Source/WebKit/chromium/webkit/glue/webpreferences.cc: In member function 'void WebPreferences::Apply(WebKit::WebView*) const':
Source/WebKit/chromium/webkit/glue/webpreferences.cc:283: error: 'class WebKit::WebSettings' has no member named 'setAcceleratedDrawingEnabled'
make: *** [out/Release/obj.target/glue/Source/WebKit/chromium/webkit/glue/webpreferences.o] Error 1
make: *** Waiting for unfinished jobs....
Comment 6 David Reveman 2011-12-28 03:15:40 PST
(In reply to comment #5)
> (From update of attachment 118581 [details])
> Source/WebKit/chromium/webkit/glue/webpreferences.cc: In member function 'void WebPreferences::Apply(WebKit::WebView*) const':
> Source/WebKit/chromium/webkit/glue/webpreferences.cc:283: error: 'class WebKit::WebSettings' has no member named 'setAcceleratedDrawingEnabled'
> make: *** [out/Release/obj.target/glue/Source/WebKit/chromium/webkit/glue/webpreferences.o] Error 1
> make: *** Waiting for unfinished jobs....

This build failure was expected until this CL landed: http://codereview.chromium.org/8771056

It should be safe to land this patch now. Chromium has been using the new API for some time now.
Comment 7 David Reveman 2011-12-28 03:18:38 PST
Created attachment 120647 [details]
Patch
Comment 8 David Reveman 2012-01-04 14:20:30 PST
Created attachment 121152 [details]
Patch
Comment 9 James Robinson 2012-01-04 15:02:17 PST
Comment on attachment 121152 [details]
Patch

R=me, there aren't any callers
Comment 10 WebKit Review Bot 2012-01-05 06:02:50 PST
Comment on attachment 121152 [details]
Patch

Clearing flags on attachment: 121152

Committed r104149: <http://trac.webkit.org/changeset/104149>
Comment 11 WebKit Review Bot 2012-01-05 06:02:55 PST
All reviewed patches have been landed.  Closing bug.